Package org.h2gis.functions.io.gpx.model

# Class GPXTablesFactory

java.lang.Object
org.h2gis.functions.io.gpx.model.GPXTablesFactory

public class GPXTablesFactory extends Object
A factory to create the tables that are used to import GPX data

Author:
  Erwan Bocher

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ROUTE`
`static final String`
`ROUTEPOINT`
`static final String`
`TRACK`
`static final String`
`TRACKPOINT`
`static final String`
`TRACKSEGMENT`
`static final String`
`WAYPOINT`

## Method Summary

Modifier and Type
Method
Description
`static PreparedStatement`
`createRoutePointsTable(Connection connection, String routePointsTable)`
Createthe route points table to store the route waypoints
`static PreparedStatement`
`createRouteTable(Connection connection, String routeTableName)`
Create the route table that will be used to import GPX data
`static PreparedStatement`
`createTrackPointsTable(Connection connection, String trackPointsTableName)`
Create the track points table to store the track waypoints
`static PreparedStatement`
`createTrackSegmentsTable(Connection connection, String trackSegementsTableName)`
Create the track segments table to store the segments of a track
`static PreparedStatement`
`createTrackTable(Connection connection, String trackTableName)`
Creat the track table
`static PreparedStatement`
`createWayPointsTable(Connection connection, String wayPointsTableName)`
Create the waypoints table that will be used to import GPX data
`static void`
`dropOSMTables(Connection connection, org.h2gis.utilities.TableLocation tablePrefix)`
Drop the existing GPX tables used to store the imported OSM GPX

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### WAYPOINT

public static final String WAYPOINT

See Also:
  - Constant Field Values

### ROUTE

public static final String ROUTE

See Also:
  - Constant Field Values

### ROUTEPOINT

public static final String ROUTEPOINT

See Also:
  - Constant Field Values

### TRACK

public static final String TRACK

See Also:
  - Constant Field Values

### TRACKSEGMENT

public static final String TRACKSEGMENT

See Also:
  - Constant Field Values

### TRACKPOINT

public static final String TRACKPOINT

See Also:
  - Constant Field Values

## Method Details

### createWayPointsTable

public static PreparedStatement createWayPointsTable(Connection connection, String wayPointsTableName) throws SQLException
Create the waypoints table that will be used to import GPX data

Parameters:
  `connection` -
  `wayPointsTableName` -
Returns:
Throws:
  `SQLException`

### createRouteTable

public static PreparedStatement createRouteTable(Connection connection, String routeTableName) throws SQLException
Create the route table that will be used to import GPX data

Parameters:
  `connection` -
  `routeTableName` -
Returns:
Throws:
  `SQLException`

### createRoutePointsTable

public static PreparedStatement createRoutePointsTable(Connection connection, String routePointsTable) throws SQLException
Createthe route points table to store the route waypoints

Parameters:
  `connection` -
  `routePointsTable` -
Returns:
Throws:
  `SQLException`

### createTrackTable

public static PreparedStatement createTrackTable(Connection connection, String trackTableName) throws SQLException
Creat the track table

Parameters:
  `connection` -
  `trackTableName` -
Returns:
Throws:
  `SQLException`

### createTrackSegmentsTable

public static PreparedStatement createTrackSegmentsTable(Connection connection, String trackSegementsTableName) throws SQLException
Create the track segments table to store the segments of a track

Parameters:
  `connection` -
  `trackSegementsTableName` -
Returns:
Throws:
  `SQLException`

### createTrackPointsTable

public static PreparedStatement createTrackPointsTable(Connection connection, String trackPointsTableName) throws SQLException
Create the track points table to store the track waypoints

Parameters:
  `connection` -
  `trackPointsTableName` -
Returns:
Throws:
  `SQLException`

### dropOSMTables

public static void dropOSMTables(Connection connection, org.h2gis.utilities.TableLocation tablePrefix) throws SQLException
Drop the existing GPX tables used to store the imported OSM GPX

Parameters:
  `connection` -
  `tablePrefix` -
Throws:
  `SQLException`